import { inject, injectable } from "tsyringe";
import { WifiScan } from "../models/wifiScan";
import { WifiScanRepository } from "../repositories/wifiScanRepository";

@injectable()
export class WifiScanService {
  constructor(
    @inject(WifiScanRepository) private repository: WifiScanRepository
  ) {}

  public async getAllWifiScans() {
    return this.repository.findAll();
  }

  public async getWifiScanById(id: string) {
    return this.repository.findById(id);
  }

  public async createWifiScan(data: Partial<WifiScan>) {
    return this.repository.create(data);
  }

  public async createWifiScans(data: Partial<WifiScan>[]) {
    return this.repository.createMany(data);
  }

  public async updateWifiScan(id: string, data: Partial<WifiScan>) {
    return this.repository.update(id, data);
  }

  public async deleteWifiScan(id: string) {
    return this.repository.delete(id);
  }
}
